Get and render a template
import requests
url = "https://{FUSION_HOST.com}/api/templating/renderIdDSL/{templateId}"
payload = {
"context": {},
"facets": {
"fields": [
{
"domain": {
"additionalFilters": [{ "type": "<string>" }],
"excludedFiltersByName": ["<string>"]
},
"ensuredValues": ["<string>"],
"field": "<string>",
"limit": 123,
"minCount": 123,
"missing": True,
"offset": 123,
"prefix": "<string>"
}
],
"groupFacets": True,
"ranges": [
{
"domain": {
"additionalFilters": [{ "type": "<string>" }],
"excludedFiltersByName": ["<string>"]
},
"end": "<string>",
"field": "<string>",
"gap": "<string>",
"hardEnd": True,
"include": [],
"minCount": 123,
"other": [],
"start": "<string>"
}
]
},
"params": {},
"queryDefinition": {
"boostsByQuery": [
{
"boost": 123,
"query": { "type": "<string>" },
"type": "<string>"
}
],
"boostsByValues": [
{
"boosts": [
{
"boost": 123,
"key": "<string>"
}
],
"field": "<string>"
}
],
"filters": [{ "type": "<string>" }],
"groupedFilters": [{ "type": "<string>" }],
"groupedQuery": { "type": "<string>" },
"main": { "type": "<string>" },
"namedFilters": [
{
"name": "<string>",
"query": { "type": "<string>" }
}
],
"userQuery": "<string>"
},
"results": {
"cursor": "<string>",
"fields": ["<string>"],
"group": {
"field": "<string>",
"leaderStrategy": { "type": "<string>" },
"size": 123,
"sort": [
{
"query": { "type": "<string>" },
"value": "<string>"
}
]
},
"highlight": {
"count": 123,
"defaultHighlight": True,
"fields": ["<string>"],
"length": 123,
"post": "<string>",
"pre": "<string>"
},
"includeRawResponse": True,
"returnScore": True,
"size": 123,
"sort": [
{
"query": { "type": "<string>" },
"value": "<string>"
}
],
"start": 123
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "441eb3be-7de6-470a-8141-e416a15c7db1",
"rendered": [
{
"zone": {
"name": "Results List",
"id": "6a092bd4-5098-466c-94aa-40bf68294303",
"type": "result-list",
"queryProfile": "query-profile-name",
"omitFilters": false,
"dirty": false,
"neverPublished": false,
"metadata": {
"image": "image-id",
"secondary": "_text_",
"primary": "primary-metadata-id",
"layout": "grid"
}
},
"inTemplates": [
"e123f4bc-5e7e-46dd-9be8-71a4f73e511a, 8084969c-bd23-40f7-9acf-c68d6798bec2, 441eb3be-7de6-470a-8141-e416a15c7db1, fb148491-b39e-46d1-af33-44cd964d8ee0"
],
"staging": false,
"published": false,
"layout": "grid"
}
],
"render": {
"response": {
"docs": [
"<string>"
],
"numFound": 123,
"start": 123,
"maxScore": 123,
"numFoundExact": true
}
},
"responseHeader": {
"zkConnected": true,
"QTime": 123,
"totalTime": 123,
"params": {
"_stateVer_": "your-app-name:version",
"lw.pipelineId": "<string>",
"start": 3,
"params": "\"dictionary[\\\"key1\\\" : \\\"value1\\\", \\\"key2\\\" : [\\\"one\\\", \\\"two\\\", \\\"a\\\", \\\"B\\\", \\\"bubbles\\\"], \\\"key3\\\" : [\\\"five bubbles\\\", \\\"sunny\\\"], \\\"key4\\\" : \\\"value4\\\"\",",
"rows": 10,
"version": "2.2",
"queryProfileID": "query-profile",
"isFusionQuery": true,
"defType": "eDisMax",
"templateTypes": "landing",
"showInactive": true,
"shards.preference": "<string>",
"wt": "json",
"staging": true,
"fusionQueryId": "fusion-query-id"
}
},
"status": 0
}Get and render a template
Retrieve and render the template with the specified ID, passing the provided DSL request to each query profile invoked during rendering.
POST
/
renderIdDSL
/
{templateId}
Get and render a template
import requests
url = "https://{FUSION_HOST.com}/api/templating/renderIdDSL/{templateId}"
payload = {
"context": {},
"facets": {
"fields": [
{
"domain": {
"additionalFilters": [{ "type": "<string>" }],
"excludedFiltersByName": ["<string>"]
},
"ensuredValues": ["<string>"],
"field": "<string>",
"limit": 123,
"minCount": 123,
"missing": True,
"offset": 123,
"prefix": "<string>"
}
],
"groupFacets": True,
"ranges": [
{
"domain": {
"additionalFilters": [{ "type": "<string>" }],
"excludedFiltersByName": ["<string>"]
},
"end": "<string>",
"field": "<string>",
"gap": "<string>",
"hardEnd": True,
"include": [],
"minCount": 123,
"other": [],
"start": "<string>"
}
]
},
"params": {},
"queryDefinition": {
"boostsByQuery": [
{
"boost": 123,
"query": { "type": "<string>" },
"type": "<string>"
}
],
"boostsByValues": [
{
"boosts": [
{
"boost": 123,
"key": "<string>"
}
],
"field": "<string>"
}
],
"filters": [{ "type": "<string>" }],
"groupedFilters": [{ "type": "<string>" }],
"groupedQuery": { "type": "<string>" },
"main": { "type": "<string>" },
"namedFilters": [
{
"name": "<string>",
"query": { "type": "<string>" }
}
],
"userQuery": "<string>"
},
"results": {
"cursor": "<string>",
"fields": ["<string>"],
"group": {
"field": "<string>",
"leaderStrategy": { "type": "<string>" },
"size": 123,
"sort": [
{
"query": { "type": "<string>" },
"value": "<string>"
}
]
},
"highlight": {
"count": 123,
"defaultHighlight": True,
"fields": ["<string>"],
"length": 123,
"post": "<string>",
"pre": "<string>"
},
"includeRawResponse": True,
"returnScore": True,
"size": 123,
"sort": [
{
"query": { "type": "<string>" },
"value": "<string>"
}
],
"start": 123
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"templateId": "441eb3be-7de6-470a-8141-e416a15c7db1",
"rendered": [
{
"zone": {
"name": "Results List",
"id": "6a092bd4-5098-466c-94aa-40bf68294303",
"type": "result-list",
"queryProfile": "query-profile-name",
"omitFilters": false,
"dirty": false,
"neverPublished": false,
"metadata": {
"image": "image-id",
"secondary": "_text_",
"primary": "primary-metadata-id",
"layout": "grid"
}
},
"inTemplates": [
"e123f4bc-5e7e-46dd-9be8-71a4f73e511a, 8084969c-bd23-40f7-9acf-c68d6798bec2, 441eb3be-7de6-470a-8141-e416a15c7db1, fb148491-b39e-46d1-af33-44cd964d8ee0"
],
"staging": false,
"published": false,
"layout": "grid"
}
],
"render": {
"response": {
"docs": [
"<string>"
],
"numFound": 123,
"start": 123,
"maxScore": 123,
"numFoundExact": true
}
},
"responseHeader": {
"zkConnected": true,
"QTime": 123,
"totalTime": 123,
"params": {
"_stateVer_": "your-app-name:version",
"lw.pipelineId": "<string>",
"start": 3,
"params": "\"dictionary[\\\"key1\\\" : \\\"value1\\\", \\\"key2\\\" : [\\\"one\\\", \\\"two\\\", \\\"a\\\", \\\"B\\\", \\\"bubbles\\\"], \\\"key3\\\" : [\\\"five bubbles\\\", \\\"sunny\\\"], \\\"key4\\\" : \\\"value4\\\"\",",
"rows": 10,
"version": "2.2",
"queryProfileID": "query-profile",
"isFusionQuery": true,
"defType": "eDisMax",
"templateTypes": "landing",
"showInactive": true,
"shards.preference": "<string>",
"wt": "json",
"staging": true,
"fusionQueryId": "fusion-query-id"
}
},
"status": 0
}Path Parameters
Template ID
Query Parameters
Body
application/json
DSL request, will be passed through to the indicated query profiles when rendering each zone.
Response
OK
The universal unique identifier (UUID) of the triggered template containing the rendered zones.
Example:
"441eb3be-7de6-470a-8141-e416a15c7db1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The status of the response. A value of 0 indicates success.
Example:
0
Was this page helpful?
⌘I